Bug 1834883 - Customizations to ignition config files not persisting to bare metal nodes
Summary: Customizations to ignition config files not persisting to bare metal nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Steven Hardy
QA Contact: Polina Rabinovich
URL:
Whiteboard:
Depends On: 1833483
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-12 15:22 UTC by Steven Hardy
Modified: 2020-07-13 17:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1833483
Environment:
Last Closed: 2020-07-13 17:37:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
ifcfg-<ifname> files are present (46.93 KB, image/png)
2020-06-04 11:03 UTC, Polina Rabinovich
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-baremetal pull 70 0 None closed Bug 1834883: Revert "Create a secret per machine/host with full igntion config" 2020-10-02 13:05:27 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:38:13 UTC

Comment 3 Polina Rabinovich 2020-06-04 11:03:04 UTC
I checked this bug in 4.5.0-0.nightly-2020-06-04-025914 version,ifcfg-<ifname> files are present on the RHCOS filesystem and so the interfaces disabled, problem fixed. 
(I added attachment that prove it)

Comment 4 Polina Rabinovich 2020-06-04 11:03:30 UTC
Created attachment 1695021 [details]
ifcfg-<ifname> files are present

Comment 5 errata-xmlrpc 2020-07-13 17:37:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.